<template>
<cropper class="cropper" ref="cropper" :src="img.org" :stencil-props="{}" @change="change" :default-position="defaultPosition" :default-size="defaultSize"></cropper>
</template>

<script>
//vuex
import {
    mapGetters
} from "vuex";
import {
    Cropper
} from "vue-advanced-cropper";
export default {
    props: {
        default_image: {
            type: String,
        },
    },
    data() {
        return {};
    },
    computed: {
        ...mapGetters({
            img: "image/temp_img",
            active: "image/active",
        }),
    },
    methods: {
        change({
            coordinates,
            canvas
        }) {
            if (this.active == 2) {
                this.$store.commit("image/UPDATE_TEMP_IMAGE", {
                    key: "res",
                    val: canvas.toDataURL(),
                });
            }
        },
        onMove(moveEvent) {
            this.$emit("move", moveEvent);
        },
        onResize(resizeEvent) {
            this.$emit("resize", resizeEvent);
        },
        refreshImage() {
            this.$refs.cropper.refreshImage();
            this.$refs.cropper.setCoordinates({
                width: 498,
                height: 289,
                left: 75,
                top: 35,
            });
        },
        defaultPosition() {
            return {
                left: 0,
                top: 0,
            };
        },
        defaultSize() {
            return {
                width: this.img.width,
                height: this.img.height,
            };
        },
    },
    components: {
        Cropper,
    },
    mounted() {
        this.$nextTick(() => {
            this.$store.commit("image/UPDATE_TEMP_IMAGE", {
                key: "org",
                val: this.default_image,
            });
        });
    },
    created() {},
};
</script>

<style lang="scss">
.vue-advanced-cropper {
    max-width: 498px;
    height: 289px;
}
</style>
